<div class="mx-auto mt-10 max-w-[1170px] lg:mt-16">
  <div class="mb-16 flex flex-col items-start sm:px-4 md:flex-row md:space-x-8">
    <div
      class="px-4 sm:mx-auto sm:max-w-md sm:px-0 sm:text-center md:mx-0 md:max-w-full md:flex-grow md:text-left"
    >
      <h1 class="mb-6 font-heading text-2xl font-bold lg:text-3xl xl:text-4xl">
        Срочная доставка <br />
        по Приморскому краю <br class="hidden sm:block" />
        и в Хабаровск
      </h1>
      <p class="mb-6 text-sm md:mb-9 lg:text-lg xl:mb-20 xl:text-[26px]">
        <b
          class="inline-block rounded-sm bg-yellow px-2 py-1 font-bold xl:text-[27px]"
          >от 2 до 24 часов</b
        >
        рейсовыми автобусами
      </p>
      <app-img
        src="/assets/images/index/bus-sm"
        class="hidden md:mb-8 md:block lg:hidden"
      ></app-img>
      <div class="mb-14 flex">
        <div class="mr-6 space-x-2">
          <tui-svg src="icons::parcel" class="!h-[28px] !w-[28px]"></tui-svg>
          <span>Посылки</span>
        </div>
        <div class="mr-4 space-x-1">
          <tui-svg src="icons::docs" class="!h-[28px] !w-[28px]"></tui-svg>
          <span>Документы</span>
        </div>
        <div class="space-x-2">
          <tui-svg src="icons::box" class="!h-[28px] !w-[28px]"></tui-svg>
          <span>Грузы</span>
        </div>
      </div>
    </div>
    <app-calculator></app-calculator>
  </div>
  <div
    class="relative mb-16 px-4 md:mb-20 xl:mb-56 xl:before:absolute xl:before:top-[-290px] xl:before:left-[-215px] xl:before:z-[-1] xl:before:h-[3472px] xl:before:w-[1560px] xl:before:bg-index-curve xl:before:bg-no-repeat"
  >
    <h2 class="mb-4 text-2xl font-bold lg:text-3xl">
      Охватываем всю территорию<br />
      Приморского края
    </h2>
    <p class="mb-12 lg:text-md">
      И даже самые труднодоступные населенные пункты региона
    </p>
    <div
      class="flex flex-col justify-center md:flex-row md:justify-start md:space-x-6 xl:flex-col xl:space-x-0"
    >
      <!--      item-1-->
      <div
        class="mb-7 flex items-center space-x-5 md:flex-col md:items-start md:space-x-0 lg:mb-0 xl:mb-12 xl:flex-row xl:items-center xl:space-x-8"
      >
        <b
          class="flex h-24 w-24 flex-shrink-0 items-center justify-center rounded-full bg-yellow text-4xl before:content-['9'] md:mb-6 xl:mb-0"
        ></b>
        <div class="flex flex-col">
          <p class="mb-3 lg:text-md">
            Пунктов отправления<br />
            в ключевых городах региона
          </p>
          <button type="button" class="text-left" (click)="showCities('start')">
            <tui-svg
              src="icons::help"
              class="mr-2.5 !h-[21px] !w-[22px]"
            ></tui-svg>
            <span class="border-b border-dotted text-xs text-gray-600"
              >Список пунктов отправления</span
            >
          </button>
        </div>
      </div>
      <!--      item-1-->
      <div
        class="mb-7 flex items-center space-x-5 md:flex-col md:items-start md:space-x-0 lg:mb-0 xl:mb-12 xl:flex-row xl:items-center xl:space-x-8"
      >
        <b
          class="flex h-24 w-24 flex-shrink-0 items-center justify-center rounded-full bg-yellow text-4xl before:content-['75'] md:mb-6 xl:mb-0"
        ></b>
        <div class="flex flex-col">
          <p class="mb-3 lg:text-md">
            Населенных пунктов<br />
            для получения ваших посылок
          </p>
          <button type="button" class="text-left" (click)="showCities('end')">
            <tui-svg
              src="icons::help"
              class="mr-2.5 !h-[21px] !w-[22px]"
            ></tui-svg>
            <span class="border-b border-dotted text-xs text-gray-600"
              >Список пунктов получения</span
            >
          </button>
        </div>
      </div>
      <!--      item-1-->
      <div
        class="flex items-center space-x-5 md:flex-col md:items-start md:space-x-0 xl:flex-row xl:items-center xl:space-x-8"
      >
        <b
          class="flex h-24 w-24 flex-shrink-0 items-center justify-center rounded-full bg-yellow text-4xl before:content-['58'] md:mb-6 xl:mb-0"
        ></b>
        <div class="flex flex-col">
          <p class="mb-3 lg:text-md">
            Рейсовых автобуса<br />
            ежедневно отправляет<br />
            ваши посылки
          </p>
        </div>
      </div>
    </div>
  </div>
  <div class="mb-16 px-4 md:mb-20 xl:mb-32">
    <h2 class="mb-8 text-2xl font-bold lg:mb-11 lg:text-3xl">
      Предлагаем удобный сервис<br class="hidden sm:block" />
      для вашего комфорта
    </h2>
    <div
      class="flex flex-col space-y-7 md:grid md:grid-cols-2 md:gap-y-9 md:gap-x-14 md:space-y-0 lg:grid-cols-3"
    >
      <!--      item-1-->
      <div class="flex max-w-sm md:max-w-full">
        <tui-svg
          src="icons::to-door"
          class="mr-8 !h-[50px] !w-[50px]"
        ></tui-svg>
        <div>
          <b class="mb-2.5 block text-lg">Доставка от двери до двери</b>
          <p>Курьер заберет вашу посылку и доставит её до двери получателя.</p>
        </div>
      </div>
      <!--      item-1-->
      <div class="flex max-w-sm md:max-w-full">
        <tui-svg src="icons::sms" class="mr-8 !h-[50px] !w-[50px]"></tui-svg>
        <div>
          <b class="mb-2.5 block text-lg">SMS-уведомления о статусе доставки</b>
          <p>
            Вы знаете о всех этапах движения посылки. SMS-уведомления получают
            отправитель и получатель.
          </p>
        </div>
      </div>
      <!--      item-1-->
      <div class="flex max-w-sm md:max-w-full">
        <tui-svg src="icons::to-box" class="mr-8 !h-[50px] !w-[50px]"></tui-svg>
        <div>
          <b class="mb-2.5 block text-lg">Упаковка грузов</b>
          <p class="mb-2.5">
            Подберем оптимальную упаковку для вашего груза и бережно запакуем
            его.
          </p>
          <button type="button" class="text-left">
            <tui-svg
              src="icons::help"
              class="mr-2.5 !h-[21px] !w-[22px]"
            ></tui-svg>
            <a
              routerLink="/info/packaging"
              class="border-b border-dotted text-xs text-gray-600"
              >Виды упаковки и стоимость
            </a>
          </button>
        </div>
      </div>
      <!--      item-1-->
      <div class="flex max-w-sm md:max-w-full">
        <tui-svg src="icons::to-box" class="mr-8 !h-[50px] !w-[50px]"></tui-svg>
        <div>
          <b class="mb-2.5 block text-lg">Складское хранение грузов</b>
          <p>Бесплатное хранение вашего груза в течение суток.</p>
        </div>
      </div>
      <!--      item-1-->
      <div class="flex max-w-sm md:max-w-full">
        <tui-svg
          src="icons::from-airport"
          class="mr-8 !h-[50px] !w-[50px]"
        ></tui-svg>
        <div>
          <b class="mb-2.5 block text-lg">Доставка из аэропорта</b>
          <p>
            Забор груза из Аэропорта и Карго-Владивосток, прохождение
            необходимых процедур.
          </p>
        </div>
      </div>
      <!--      item-1-->
      <div class="flex max-w-sm md:max-w-full">
        <tui-svg src="icons::disk" class="mr-8 !h-[50px] !w-[50px]"></tui-svg>
        <div>
          <b class="mb-2.5 block text-lg">Страхование груза</b>
          <p>Страховая защита груза и максимально быстрое возмещение ущерба.</p>
        </div>
      </div>
    </div>
  </div>
  <div class="mb-16 sm:px-4 md:mb-20 xl:mb-32">
    <h2 class="mb-4 px-4 text-2xl font-bold sm:px-0 lg:text-3xl">
      Решаем нестандартные<br />
      логистические задачи
    </h2>
    <p class="lg:md-12 mb-5 px-4 sm:px-0 md:mb-8 lg:text-md">
      Нужно организовать доставку нестандартного груза в очень сжатые сроки?<br
        class="hidden lg:block"
      />
      Трудно найти исполнителя? Мы предложим индивидуальное решение вашей
      задачи!
    </p>
    <div
      class="flex flex-col space-y-14 md:flex-row md:space-y-0 md:space-x-4 lg:space-x-8 xl:space-x-16"
    >
      <app-task-form></app-task-form>
      <app-examples></app-examples>
    </div>
  </div>
  <div class="mb-16 px-4 sm:px-4 md:mb-20 xl:mb-28">
    <h2 class="mb-4 text-2xl font-bold sm:px-0 lg:text-3xl">
      Помогаем бизнесу
    </h2>
    <p class="lg:md-12 mb-5 sm:px-0 md:mb-8 lg:text-md">
      С нами работает более 500 компаний, которые регулярно отправляют грузы<br />
      по Приморскому краю и в Хабаровск.
    </p>
    <div class="grid grid-cols-2 gap-4 md:grid-cols-4 lg:gap-x-7">
      <a
        *ngFor="let client of clients"
        [href]="client.link"
        target="_blank"
        class="flex h-24 items-center justify-center rounded-sm border border-transparent bg-white shadow-xl hover:border-yellow hover:shadow-none lg:h-[153px]"
      >
        <tui-svg
          [src]="'icons::' + client.name"
          class="!h-[27px] !w-[110px] lg:!h-[43px] lg:!w-[178px]"
        ></tui-svg>
      </a>
    </div>
  </div>
  <section
    class="mb-16 items-start px-4 sm:px-4 md:mb-20 lg:grid lg:grid-cols-2 lg:gap-x-36 xl:mb-32"
  >
    <div class="mb-8">
      <h2 class="mb-5 text-2xl font-bold sm:px-0 lg:text-3xl">
        Грузоперевозки по Приморскому краю
      </h2>
      <tui-line-clamp
        [content]="template"
        class="mb-4"
        [linesLimit]="linesLimit"
        [lineHeight]="21"
      ></tui-line-clamp>
      <button (click)="toggleLinesClamp()">
        <span class="text-sm">{{
          isClampActive ? 'Свернуть' : 'Читать подробнее'
        }}</span>
        <tui-svg
          src="icons::expand"
          class="ml-2.5 !h-8 !w-8 transition-all duration-100"
          [class.rotate-180]="isClampActive"
        ></tui-svg>
      </button>
      <ng-template #template>
        <p>
          Компания «Баскурьер» – это современная курьерская служба
          экспресс-доставки на Дальнем Востоке. Ежедневно мы успешно
          организовываем курьерскую доставку посылок, документов и различных
          грузов из г. Владивостока в г. Хабаровск, Уссурийск, Находку,
          Дальнегорск, Кавалерово и др. с помощью РЕЙСОВЫХ АВТОБУСОВ!
        </p>
        <p>
          Мы предлагаем приемлемые тарифы, высокую скорость доставки и ручаемся
          за каждый наш груз. Мы не работаем по принципу «наборных грузов», а
          доставляем вашу посылку в ближайшее время с момента оформления заказа.
          Это осуществляется за счет регулярного движения междугородных
          автобусов и наличию большого количества рейсов по многим направлениям.
        </p>
        <p>
          Мы – Баскурьер, предлагаем нашим клиентам следующие курьерские услуги:
          Доставка и забор грузов от двери до двери, забор грузов в Аэропорту г.
          Владивостока, срочная доставка груза в г. Хабаровск, срочная доставка
          документов по Приморскому краю от 2 до 24 часов.
        </p>
        <p>
          У наших клиентов есть уникальная возможность – хранение на складе в
          течение суток бесплатное! А это значит, что вы можете забрать свое
          отправление в любое удобное для вас время. Для того, чтобы узнать
          стоимость отправки рейсовым автобусом вашего груза, мы предусмотрели
          для Вас – онлайн калькулятор. Введите необходимые данные, и Вы узнаете
          сколько стоит перевозка того или иного груза. Головной офис нашей
          компании находится в г. Владивостоке, а филиалы расположены в г.
          Находке, г. Артеме, г. Уссурийске и г. Хабаровске – на базе
          автовокзалов; в г. Дальнегорске, в г. Арсеньеве и г. Спасске-Дальнем –
          на базе наших партнеров.
        </p>
        <p>
          Мы сотрудничаем не только с частными лицами, но и с крупными
          российскими компаниями: Аэрофлот, S7 Airlines, EASTJET, Аврора,
          Сбербанк, Гиперавто, Юнилаб. Компания Баскурьер – всегда открыта перед
          своими клиентами! Вы можете воспользоваться услугой – отслеживание
          груза у нас на сайте или подключить услугу расширенных
          смс-уведомлений, чтобы быть в курсе обо всех этапах курьерской
          доставки вашей посылки.
        </p>
      </ng-template>
    </div>
    <div
      class="flex flex-col space-y-2.5 sm:flex-row sm:space-y-0 sm:space-x-2 lg:flex-col lg:space-x-0 lg:space-y-8"
    >
      <div
        class="max-w-[400px] sm:max-w-full sm:flex-grow lg:h-[155px] lg:w-[312px]"
      >
        <app-img
          class="w-full"
          src="/assets/images/index/images-box/img-1"
        ></app-img>
      </div>
      <div
        class="max-w-[400px] sm:max-w-full sm:flex-grow lg:h-[155px] lg:w-[312px]"
      >
        <app-img
          class="w-full"
          src="/assets/images/index/images-box/img-2"
        ></app-img>
      </div>
      <div
        class="max-w-[400px] sm:max-w-full sm:flex-grow lg:h-[155px] lg:w-[312px]"
      >
        <app-img
          class="w-full"
          src="/assets/images/index/images-box/img-3"
        ></app-img>
      </div>
    </div>
  </section>
</div>
